Ticket #172 (closed enhancement: wontfix)

Opened 5 years ago

Last modified 5 years ago

Switch out serf for libcurl

Reported by: jesus Assigned to: jesus
Priority: major Milestone: Intrigue
Component: noitd Severity: annoying
Keywords: Cc:

Description

When a serf committer throws his hands in the air and says go with libcurl...

Change History

09/12/09 00:08:04 changed by jesus

  • type changed from defect to enhancement.

09/12/09 00:08:32 changed by jesus

  • status changed from new to assigned.

09/12/09 00:10:29 changed by jesus

(In [825]) Paul Querna's patch plus some fixed warnings. removal of serf update of autoconf to find apr (for stomp, sigh) and detection of libcurl stuffs for the new libcurl based http module

refs #172

09/13/09 03:44:09 changed by jesus

This has some issues:

  • I see delays (longer service times) under libcurl than I did serf.
  • internally serf uses select() which can make some things explode.
  • Need to steer away from using the recurrent events for checks.

09/18/09 13:56:29 changed by jesus

I'll be taking the approach to switch our curl for a lua implementation.

09/18/09 23:28:23 changed by jesus

  • status changed from assigned to closed.
  • resolution set to wontfix.

See #181